import Parser = require("web-tree-sitter");
import Monaco = require("monaco-editor/esm/vs/editor/editor.api");
import { Language } from "./language";
export declare type Term = "type" | "scope" | "function" | "variable" | "number" | "string" | "comment" | "constant" | "directive" | "control" | "operator" | "modifier" | "punctuation";
export declare const terms: Term[];
export interface HighlightInfo {
    term: Term;
    node: Parser.SyntaxNode;
}
export declare function buildHighlightInfo(tree: Parser.Tree, language: Language): HighlightInfo[];
export declare function buildDecorations(tree: Parser.Tree, language: Language): Record<Term, Monaco.Range[]>;
