"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Language {
    constructor(grammarJson, parser) {
        this.simpleTerms = {};
        this.complexTerms = [];
        this.complexScopes = {};
        for (const t in grammarJson.simpleTerms)
            this.simpleTerms[t] = grammarJson.simpleTerms[t];
        for (const t in grammarJson.complexTerms)
            this.complexTerms[t] = grammarJson.complexTerms[t];
        for (const t in grammarJson.complexScopes)
            this.complexScopes[t] = grammarJson.complexScopes[t];
        this.complexDepth = 0;
        this.complexOrder = false;
        for (const s in this.complexScopes) {
            const depth = s.split(">").length;
            if (depth > this.complexDepth)
                this.complexDepth = depth;
            if (s.indexOf("[") >= 0)
                this.complexOrder = true;
        }
        this.complexDepth--;
        if (parser)
            this.parser = parser;
    }
    async init(languageWasmPath, Parser) {
        this.parser = new Parser();
        const language = await Parser.Language.load(languageWasmPath);
        this.parser.setLanguage(language);
    }
}
exports.Language = Language;
//# sourceMappingURL=language.js.map