import Monaco = require("monaco-editor/esm/vs/editor/editor.api");
import { Term } from "./highlighter";
export interface ThemeConfig {
    monacoTreeSitter: Record<Term, string | {
        color: string;
        extraCssStyles?: string;
    }>;
    base: Monaco.editor.IStandaloneThemeData;
}
export declare class Theme {
    private static tag;
    private static config;
    private static readonly cssClassNamePrefix;
    private constructor();
    static load(config: ThemeConfig): void;
    static generateCss(classNamePrefix?: string): string;
    static generateStyleOfTerm(term: Term): string;
    static getClassNameOfTerm(term: Term, classNamePrefix?: string): string;
    static getColorOfTerm(term: Term): string;
}
